Subject: RE: [VPIM] Re: draft-ema-vpim-pndn-00.txt

From: "Manros, Carl-Uno B" <[email-masked]>
Date: Mon, 24 Jan 2000 15:24:50 -0800

Graham,

Interesting requirements, but do they really apply to the fax over 
Internet model?

If you are sending a fax message over email, FTP, IPP, or any of the
existing Internet protocols, it is VERY unlikely that you have problems
with ONE particular page, unless you can introduce such errors as part
of the TIFF encoding?

When using the Internet for transport, you will typically either get 
the whole document over OK, or nothing!  The ITU requirements seem
to reflect too much of the old telephony error cases with quality
problems on analog phone lines.

Also, I have some doubts as to how relevant the earlier discussions
on partial delivery of email messages are in actual Internet fax
usage scenarios. Would people actually start mixing different 
body parts, some of which might be proprietary, in the same message 
and still expect the service to work?

Carl-Uno

> -----Original Message-----
> From: Graham Klyne [mailto:[email-masked]]
> Sent: Monday, January 24, 2000 10:36 AM
> To: [email-masked]
> Cc: IETF fax WG; IETF VPIM List
> Subject: Re: [VPIM] Re: draft-ema-vpim-pndn-00.txt
> 
> 
> At 09:13 AM 1/24/00 -0800, [email-masked] wrote:
> >Now, the enhancement to DSNs presently being discussed is 
> fairly different in
> >character -- we're talking about noting damage to or loss of 
> specific message
> >parts, not loss of bits in an image. But I'm nevertheless 
> worried about the
> >user perception of this facility, especially given past 
> experience in how 
> >these
> >things can be misinterpreted.
> >
> >I guess my conclusion is that unless the user agents do a 
> stellar job of
> >correlating the partial delivery information with the 
> original message this
> >feature isn't going to be useful. And given the very slow 
> uptake of user agent
> >support for parsing and correlation of regular DSNs, I'm 
> pretty pessimistic
> >about this entire thing.
> 
> I take your point, but it is interesting to note that one of 
> the drivers 
> for considering partial delivery notification has come from 
> the traditional 
> fax community -- As I recall, ITU-T SG8 have asked for 
> Internet fax to 
> report how many pages have been delivered.  (I include below what I 
> understand to be the requirements from SG8.)
> 
> (I'm less clear about the driver from the voice mail community.)
> 
> #g
> 
> 
> 
> 2.2  Request - 2.2    The fax processed status information in RFC2530
> needs to be enhanced. We need a facility to enable the total number of
> pages and pages in error to be returned to the sender in a MDN to
> indicate successful processing.  We need further precision on the fax
> status information using DSN and/or MDN.
> 
> 2.3    Request - Similarly the specification within RFC2298 for the
> value processed need to be enhanced. We need further 
> precision to ensure
> that the specific MDN response that is generated clearly 
> indicates that
> the MIME body part(s) has been successfully processed (i.e. printed or
> displayed).
> 
> 
> ------------
> Graham Klyne
> ([email-masked])
>